<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: arm_compute/runtime/CL/CLFunctions.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_c_l_functions_8h_source.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">CLFunctions.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_c_l_functions_8h.xhtml">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2016, 2017 ARM Limited.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * SPDX-License-Identifier: MIT</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Permission is hereby granted, free of charge, to any person obtaining a copy</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * of this software and associated documentation files (the &quot;Software&quot;), to</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * deal in the Software without restriction, including without limitation the</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * sell copies of the Software, and to permit persons to whom the Software is</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * furnished to do so, subject to the following conditions:</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * The above copyright notice and this permission notice shall be included in all</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> * copies or substantial portions of the Software.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * SOFTWARE.</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#ifndef __ARM_COMPUTE_CLFUNCTIONS_H__</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#define __ARM_COMPUTE_CLFUNCTIONS_H__</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment">/* Header regrouping all the CL functions */</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_absolute_difference_8h.xhtml">arm_compute/runtime/CL/functions/CLAbsoluteDifference.h</a>&quot;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_accumulate_8h.xhtml">arm_compute/runtime/CL/functions/CLAccumulate.h</a>&quot;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_activation_layer_8h.xhtml">arm_compute/runtime/CL/functions/CLActivationLayer.h</a>&quot;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_arithmetic_addition_8h.xhtml">arm_compute/runtime/CL/functions/CLArithmeticAddition.h</a>&quot;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_arithmetic_subtraction_8h.xhtml">arm_compute/runtime/CL/functions/CLArithmeticSubtraction.h</a>&quot;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_bitwise_and_8h.xhtml">arm_compute/runtime/CL/functions/CLBitwiseAnd.h</a>&quot;</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_bitwise_not_8h.xhtml">arm_compute/runtime/CL/functions/CLBitwiseNot.h</a>&quot;</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_bitwise_or_8h.xhtml">arm_compute/runtime/CL/functions/CLBitwiseOr.h</a>&quot;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_bitwise_xor_8h.xhtml">arm_compute/runtime/CL/functions/CLBitwiseXor.h</a>&quot;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_box3x3_8h.xhtml">arm_compute/runtime/CL/functions/CLBox3x3.h</a>&quot;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_canny_edge_8h.xhtml">arm_compute/runtime/CL/functions/CLCannyEdge.h</a>&quot;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_channel_combine_8h.xhtml">arm_compute/runtime/CL/functions/CLChannelCombine.h</a>&quot;</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_channel_extract_8h.xhtml">arm_compute/runtime/CL/functions/CLChannelExtract.h</a>&quot;</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_color_convert_8h.xhtml">arm_compute/runtime/CL/functions/CLColorConvert.h</a>&quot;</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_convolution_8h.xhtml">arm_compute/runtime/CL/functions/CLConvolution.h</a>&quot;</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_convolution_layer_8h.xhtml">arm_compute/runtime/CL/functions/CLConvolutionLayer.h</a>&quot;</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_depth_convert_8h.xhtml">arm_compute/runtime/CL/functions/CLDepthConvert.h</a>&quot;</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_derivative_8h.xhtml">arm_compute/runtime/CL/functions/CLDerivative.h</a>&quot;</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_dilate_8h.xhtml">arm_compute/runtime/CL/functions/CLDilate.h</a>&quot;</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_equalize_histogram_8h.xhtml">arm_compute/runtime/CL/functions/CLEqualizeHistogram.h</a>&quot;</span></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_erode_8h.xhtml">arm_compute/runtime/CL/functions/CLErode.h</a>&quot;</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_fast_corners_8h.xhtml">arm_compute/runtime/CL/functions/CLFastCorners.h</a>&quot;</span></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_fill_border_8h.xhtml">arm_compute/runtime/CL/functions/CLFillBorder.h</a>&quot;</span></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_fully_connected_layer_8h.xhtml">arm_compute/runtime/CL/functions/CLFullyConnectedLayer.h</a>&quot;</span></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_g_e_m_m_8h.xhtml">arm_compute/runtime/CL/functions/CLGEMM.h</a>&quot;</span></div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_g_e_m_m_lowp_8h.xhtml">arm_compute/runtime/CL/functions/CLGEMMLowp.h</a>&quot;</span></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_gaussian3x3_8h.xhtml">arm_compute/runtime/CL/functions/CLGaussian3x3.h</a>&quot;</span></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_gaussian5x5_8h.xhtml">arm_compute/runtime/CL/functions/CLGaussian5x5.h</a>&quot;</span></div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_gaussian_pyramid_8h.xhtml">arm_compute/runtime/CL/functions/CLGaussianPyramid.h</a>&quot;</span></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_harris_corners_8h.xhtml">arm_compute/runtime/CL/functions/CLHarrisCorners.h</a>&quot;</span></div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_histogram_8h.xhtml">arm_compute/runtime/CL/functions/CLHistogram.h</a>&quot;</span></div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_integral_image_8h.xhtml">arm_compute/runtime/CL/functions/CLIntegralImage.h</a>&quot;</span></div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_laplacian_pyramid_8h.xhtml">arm_compute/runtime/CL/functions/CLLaplacianPyramid.h</a>&quot;</span></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_laplacian_reconstruct_8h.xhtml">arm_compute/runtime/CL/functions/CLLaplacianReconstruct.h</a>&quot;</span></div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_magnitude_8h.xhtml">arm_compute/runtime/CL/functions/CLMagnitude.h</a>&quot;</span></div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_mean_std_dev_8h.xhtml">arm_compute/runtime/CL/functions/CLMeanStdDev.h</a>&quot;</span></div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_median3x3_8h.xhtml">arm_compute/runtime/CL/functions/CLMedian3x3.h</a>&quot;</span></div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_min_max_location_8h.xhtml">arm_compute/runtime/CL/functions/CLMinMaxLocation.h</a>&quot;</span></div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_non_linear_filter_8h.xhtml">arm_compute/runtime/CL/functions/CLNonLinearFilter.h</a>&quot;</span></div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_non_maxima_suppression3x3_8h.xhtml">arm_compute/runtime/CL/functions/CLNonMaximaSuppression3x3.h</a>&quot;</span></div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_normalization_layer_8h.xhtml">arm_compute/runtime/CL/functions/CLNormalizationLayer.h</a>&quot;</span></div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_optical_flow_8h.xhtml">arm_compute/runtime/CL/functions/CLOpticalFlow.h</a>&quot;</span></div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_phase_8h.xhtml">arm_compute/runtime/CL/functions/CLPhase.h</a>&quot;</span></div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_pixel_wise_multiplication_8h.xhtml">arm_compute/runtime/CL/functions/CLPixelWiseMultiplication.h</a>&quot;</span></div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_pooling_layer_8h.xhtml">arm_compute/runtime/CL/functions/CLPoolingLayer.h</a>&quot;</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_remap_8h.xhtml">arm_compute/runtime/CL/functions/CLRemap.h</a>&quot;</span></div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_scale_8h.xhtml">arm_compute/runtime/CL/functions/CLScale.h</a>&quot;</span></div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_scharr3x3_8h.xhtml">arm_compute/runtime/CL/functions/CLScharr3x3.h</a>&quot;</span></div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_sobel3x3_8h.xhtml">arm_compute/runtime/CL/functions/CLSobel3x3.h</a>&quot;</span></div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_sobel5x5_8h.xhtml">arm_compute/runtime/CL/functions/CLSobel5x5.h</a>&quot;</span></div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_sobel7x7_8h.xhtml">arm_compute/runtime/CL/functions/CLSobel7x7.h</a>&quot;</span></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_softmax_layer_8h.xhtml">arm_compute/runtime/CL/functions/CLSoftmaxLayer.h</a>&quot;</span></div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_table_lookup_8h.xhtml">arm_compute/runtime/CL/functions/CLTableLookup.h</a>&quot;</span></div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_threshold_8h.xhtml">arm_compute/runtime/CL/functions/CLThreshold.h</a>&quot;</span></div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_transpose_8h.xhtml">arm_compute/runtime/CL/functions/CLTranspose.h</a>&quot;</span></div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_warp_affine_8h.xhtml">arm_compute/runtime/CL/functions/CLWarpAffine.h</a>&quot;</span></div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_warp_perspective_8h.xhtml">arm_compute/runtime/CL/functions/CLWarpPerspective.h</a>&quot;</span></div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* __ARM_COMPUTE_CLFUNCTIONS_H__ */</span><span class="preprocessor"></span></div><div class="ttc" id="_c_l_harris_corners_8h_xhtml"><div class="ttname"><a href="_c_l_harris_corners_8h.xhtml">CLHarrisCorners.h</a></div></div>
<div class="ttc" id="_c_l_convolution_layer_8h_xhtml"><div class="ttname"><a href="_c_l_convolution_layer_8h.xhtml">CLConvolutionLayer.h</a></div></div>
<div class="ttc" id="_c_l_integral_image_8h_xhtml"><div class="ttname"><a href="_c_l_integral_image_8h.xhtml">CLIntegralImage.h</a></div></div>
<div class="ttc" id="_c_l_bitwise_or_8h_xhtml"><div class="ttname"><a href="_c_l_bitwise_or_8h.xhtml">CLBitwiseOr.h</a></div></div>
<div class="ttc" id="_c_l_warp_affine_8h_xhtml"><div class="ttname"><a href="_c_l_warp_affine_8h.xhtml">CLWarpAffine.h</a></div></div>
<div class="ttc" id="_c_l_non_linear_filter_8h_xhtml"><div class="ttname"><a href="_c_l_non_linear_filter_8h.xhtml">CLNonLinearFilter.h</a></div></div>
<div class="ttc" id="_c_l_accumulate_8h_xhtml"><div class="ttname"><a href="_c_l_accumulate_8h.xhtml">CLAccumulate.h</a></div></div>
<div class="ttc" id="_c_l_arithmetic_addition_8h_xhtml"><div class="ttname"><a href="_c_l_arithmetic_addition_8h.xhtml">CLArithmeticAddition.h</a></div></div>
<div class="ttc" id="_c_l_arithmetic_subtraction_8h_xhtml"><div class="ttname"><a href="_c_l_arithmetic_subtraction_8h.xhtml">CLArithmeticSubtraction.h</a></div></div>
<div class="ttc" id="_c_l_sobel7x7_8h_xhtml"><div class="ttname"><a href="_c_l_sobel7x7_8h.xhtml">CLSobel7x7.h</a></div></div>
<div class="ttc" id="_c_l_magnitude_8h_xhtml"><div class="ttname"><a href="_c_l_magnitude_8h.xhtml">CLMagnitude.h</a></div></div>
<div class="ttc" id="_c_l_scharr3x3_8h_xhtml"><div class="ttname"><a href="_c_l_scharr3x3_8h.xhtml">CLScharr3x3.h</a></div></div>
<div class="ttc" id="_c_l_gaussian5x5_8h_xhtml"><div class="ttname"><a href="_c_l_gaussian5x5_8h.xhtml">CLGaussian5x5.h</a></div></div>
<div class="ttc" id="_c_l_dilate_8h_xhtml"><div class="ttname"><a href="_c_l_dilate_8h.xhtml">CLDilate.h</a></div></div>
<div class="ttc" id="_c_l_channel_extract_8h_xhtml"><div class="ttname"><a href="_c_l_channel_extract_8h.xhtml">CLChannelExtract.h</a></div></div>
<div class="ttc" id="_c_l_equalize_histogram_8h_xhtml"><div class="ttname"><a href="_c_l_equalize_histogram_8h.xhtml">CLEqualizeHistogram.h</a></div></div>
<div class="ttc" id="_c_l_laplacian_reconstruct_8h_xhtml"><div class="ttname"><a href="_c_l_laplacian_reconstruct_8h.xhtml">CLLaplacianReconstruct.h</a></div></div>
<div class="ttc" id="_c_l_remap_8h_xhtml"><div class="ttname"><a href="_c_l_remap_8h.xhtml">CLRemap.h</a></div></div>
<div class="ttc" id="_c_l_box3x3_8h_xhtml"><div class="ttname"><a href="_c_l_box3x3_8h.xhtml">CLBox3x3.h</a></div></div>
<div class="ttc" id="_c_l_bitwise_and_8h_xhtml"><div class="ttname"><a href="_c_l_bitwise_and_8h.xhtml">CLBitwiseAnd.h</a></div></div>
<div class="ttc" id="_c_l_fast_corners_8h_xhtml"><div class="ttname"><a href="_c_l_fast_corners_8h.xhtml">CLFastCorners.h</a></div></div>
<div class="ttc" id="_c_l_sobel5x5_8h_xhtml"><div class="ttname"><a href="_c_l_sobel5x5_8h.xhtml">CLSobel5x5.h</a></div></div>
<div class="ttc" id="_c_l_median3x3_8h_xhtml"><div class="ttname"><a href="_c_l_median3x3_8h.xhtml">CLMedian3x3.h</a></div></div>
<div class="ttc" id="_c_l_optical_flow_8h_xhtml"><div class="ttname"><a href="_c_l_optical_flow_8h.xhtml">CLOpticalFlow.h</a></div></div>
<div class="ttc" id="_c_l_depth_convert_8h_xhtml"><div class="ttname"><a href="_c_l_depth_convert_8h.xhtml">CLDepthConvert.h</a></div></div>
<div class="ttc" id="_c_l_bitwise_not_8h_xhtml"><div class="ttname"><a href="_c_l_bitwise_not_8h.xhtml">CLBitwiseNot.h</a></div></div>
<div class="ttc" id="_c_l_scale_8h_xhtml"><div class="ttname"><a href="_c_l_scale_8h.xhtml">CLScale.h</a></div></div>
<div class="ttc" id="_c_l_laplacian_pyramid_8h_xhtml"><div class="ttname"><a href="_c_l_laplacian_pyramid_8h.xhtml">CLLaplacianPyramid.h</a></div></div>
<div class="ttc" id="_c_l_g_e_m_m_8h_xhtml"><div class="ttname"><a href="_c_l_g_e_m_m_8h.xhtml">CLGEMM.h</a></div></div>
<div class="ttc" id="_c_l_convolution_8h_xhtml"><div class="ttname"><a href="_c_l_convolution_8h.xhtml">CLConvolution.h</a></div></div>
<div class="ttc" id="_c_l_channel_combine_8h_xhtml"><div class="ttname"><a href="_c_l_channel_combine_8h.xhtml">CLChannelCombine.h</a></div></div>
<div class="ttc" id="_c_l_color_convert_8h_xhtml"><div class="ttname"><a href="_c_l_color_convert_8h.xhtml">CLColorConvert.h</a></div></div>
<div class="ttc" id="_c_l_gaussian_pyramid_8h_xhtml"><div class="ttname"><a href="_c_l_gaussian_pyramid_8h.xhtml">CLGaussianPyramid.h</a></div></div>
<div class="ttc" id="_c_l_absolute_difference_8h_xhtml"><div class="ttname"><a href="_c_l_absolute_difference_8h.xhtml">CLAbsoluteDifference.h</a></div></div>
<div class="ttc" id="_c_l_mean_std_dev_8h_xhtml"><div class="ttname"><a href="_c_l_mean_std_dev_8h.xhtml">CLMeanStdDev.h</a></div></div>
<div class="ttc" id="_c_l_canny_edge_8h_xhtml"><div class="ttname"><a href="_c_l_canny_edge_8h.xhtml">CLCannyEdge.h</a></div></div>
<div class="ttc" id="_c_l_fill_border_8h_xhtml"><div class="ttname"><a href="_c_l_fill_border_8h.xhtml">CLFillBorder.h</a></div></div>
<div class="ttc" id="_c_l_sobel3x3_8h_xhtml"><div class="ttname"><a href="_c_l_sobel3x3_8h.xhtml">CLSobel3x3.h</a></div></div>
<div class="ttc" id="_c_l_gaussian3x3_8h_xhtml"><div class="ttname"><a href="_c_l_gaussian3x3_8h.xhtml">CLGaussian3x3.h</a></div></div>
<div class="ttc" id="_c_l_non_maxima_suppression3x3_8h_xhtml"><div class="ttname"><a href="_c_l_non_maxima_suppression3x3_8h.xhtml">CLNonMaximaSuppression3x3.h</a></div></div>
<div class="ttc" id="_c_l_phase_8h_xhtml"><div class="ttname"><a href="_c_l_phase_8h.xhtml">CLPhase.h</a></div></div>
<div class="ttc" id="_c_l_fully_connected_layer_8h_xhtml"><div class="ttname"><a href="_c_l_fully_connected_layer_8h.xhtml">CLFullyConnectedLayer.h</a></div></div>
<div class="ttc" id="_c_l_pixel_wise_multiplication_8h_xhtml"><div class="ttname"><a href="_c_l_pixel_wise_multiplication_8h.xhtml">CLPixelWiseMultiplication.h</a></div></div>
<div class="ttc" id="_c_l_derivative_8h_xhtml"><div class="ttname"><a href="_c_l_derivative_8h.xhtml">CLDerivative.h</a></div></div>
<div class="ttc" id="_c_l_softmax_layer_8h_xhtml"><div class="ttname"><a href="_c_l_softmax_layer_8h.xhtml">CLSoftmaxLayer.h</a></div></div>
<div class="ttc" id="_c_l_transpose_8h_xhtml"><div class="ttname"><a href="_c_l_transpose_8h.xhtml">CLTranspose.h</a></div></div>
<div class="ttc" id="_c_l_warp_perspective_8h_xhtml"><div class="ttname"><a href="_c_l_warp_perspective_8h.xhtml">CLWarpPerspective.h</a></div></div>
<div class="ttc" id="_c_l_table_lookup_8h_xhtml"><div class="ttname"><a href="_c_l_table_lookup_8h.xhtml">CLTableLookup.h</a></div></div>
<div class="ttc" id="_c_l_bitwise_xor_8h_xhtml"><div class="ttname"><a href="_c_l_bitwise_xor_8h.xhtml">CLBitwiseXor.h</a></div></div>
<div class="ttc" id="_c_l_g_e_m_m_lowp_8h_xhtml"><div class="ttname"><a href="_c_l_g_e_m_m_lowp_8h.xhtml">CLGEMMLowp.h</a></div></div>
<div class="ttc" id="_c_l_normalization_layer_8h_xhtml"><div class="ttname"><a href="_c_l_normalization_layer_8h.xhtml">CLNormalizationLayer.h</a></div></div>
<div class="ttc" id="_c_l_activation_layer_8h_xhtml"><div class="ttname"><a href="_c_l_activation_layer_8h.xhtml">CLActivationLayer.h</a></div></div>
<div class="ttc" id="_c_l_histogram_8h_xhtml"><div class="ttname"><a href="_c_l_histogram_8h.xhtml">CLHistogram.h</a></div></div>
<div class="ttc" id="_c_l_erode_8h_xhtml"><div class="ttname"><a href="_c_l_erode_8h.xhtml">CLErode.h</a></div></div>
<div class="ttc" id="_c_l_threshold_8h_xhtml"><div class="ttname"><a href="_c_l_threshold_8h.xhtml">CLThreshold.h</a></div></div>
<div class="ttc" id="_c_l_pooling_layer_8h_xhtml"><div class="ttname"><a href="_c_l_pooling_layer_8h.xhtml">CLPoolingLayer.h</a></div></div>
<div class="ttc" id="_c_l_min_max_location_8h_xhtml"><div class="ttname"><a href="_c_l_min_max_location_8h.xhtml">CLMinMaxLocation.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_214608ef36d61442cb2b0c1c4e9a7def.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="dir_8bc26130589aa16388b5a02f17abf2c2.xhtml">runtime</a></li><li class="navelem"><a class="el" href="dir_b986aa98f9b6490bb4fc7918500346fb.xhtml">CL</a></li><li class="navelem"><a class="el" href="_c_l_functions_8h.xhtml">CLFunctions.h</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:09 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
